diff --git a/setup.py b/setup.py
index aa774ee..9b19d4a 100644
--- a/setup.py
+++ b/setup.py
@@ -11,7 +11,7 @@ sysconfig.get_config_vars()["CFLAGS"] = ''
 setup(name="libnatpmp", version="1.0",
       ext_modules=[
         Extension(name="libnatpmp", sources=["libnatpmpmodule.c"],
-                  extra_objects=["libnatpmp.a"],
+                  extra_objects=["libnatpmp.so"],
                   define_macros=[('ENABLE_STRNATPMPERR', None)]
         )]
      )
